RarArchive::isBroken
RarArchive::open
RarArchive
PHP Manual

# RarArchive::isSolid

# rar_solid_is

Check whether the RAR archive is solid

### Description

Object oriented style (method):

public bool RarArchive::isSolid ( void )

Procedural style:

bool rar_solid_is ( RarArchive `$rarfile` )

Check whether the RAR archive is solid. Individual file extraction is slower on solid archives.

### Parameters

`rarfile`

  A RarArchive object, opened with rar_open.

### Return Values

Returns `TRUE` if the archive is solid, `FALSE` otherwise.

### Examples

Example #1 Object oriented style

`<?php
$arch1 = RarArchive::open("store_method.rar");
$arch2 = RarArchive::open("solid.rar");
echo "$arch1: " . ($arch1->isSolid()?'yes':'no') ."\n";
echo "$arch2: " . ($arch2->isSolid()?'yes':'no') . "\n";
?>`

The above example will output something similar to:

    RAR Archive "C:\php_rar\trunk\tests\store_method.rar": no
    RAR Archive "C:\php_rar\trunk\tests\solid.rar": yes

Example #2 Procedural style

`<?php
$arch1 = rar_open("store_method.rar");
$arch2 = rar_open("solid.rar");
echo "$arch1: " . (rar_solid_is($arch1)?'yes':'no') ."\n";
echo "$arch2: " . (rar_solid_is($arch2)?'yes':'no') . "\n";
?>`